## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbCacheElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbCacheElement

    public class JaxbCacheElement

extends Object

Java class for cache-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="cache-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="include" default="all">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="all"/>
                 <enumeration value="non-lazy"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="usage" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="nonstrict-read-write"/>
                 <enumeration value="read-only"/>
                 <enumeration value="read-write"/>
                 <enumeration value="transactional"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `include`
`protected String` `region`
`protected String` `usage`

Constructor Summary
`JaxbCacheElement()`

Method Summary
`String` `getInclude()` Gets the value of the include property.
`String` `getRegion()` Gets the value of the region property.
`String` `getUsage()` Gets the value of the usage property.
`void` `setInclude(String value)` Sets the value of the include property.
`void` `setRegion(String value)` Sets the value of the region property.
`void` `setUsage(String value)` Sets the value of the usage property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### include

    protected String include

### region

    protected String region

### usage

    protected String usage

Constructor Detail

### JaxbCacheElement

    public JaxbCacheElement()

Method Detail

### getInclude

    public String getInclude()

  Gets the value of the include property.

  Returns:
    possible object is `String`

### setInclude

    public void setInclude(String value)

  Sets the value of the include property.

  Parameters:
    `value` - allowed object is `String`

### getRegion

    public String getRegion()

  Gets the value of the region property.

  Returns:
    possible object is `String`

### setRegion

    public void setRegion(String value)

  Sets the value of the region property.

  Parameters:
    `value` - allowed object is `String`

### getUsage

    public String getUsage()

  Gets the value of the usage property.

  Returns:
    possible object is `String`

### setUsage

    public void setUsage(String value)

  Sets the value of the usage property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.